Package org.jboss.classfilewriter.annotations

## Class CharAnnotationValue

- java.lang.Object
- - org.jboss.classfilewriter.annotations.AnnotationValue
  - - org.jboss.classfilewriter.annotations.CharAnnotationValue

All Implemented Interfaces:
  `WritableEntry`

    public class CharAnnotationValue
    extends AnnotationValue

A char annotation value

Author:
  Stuart Douglas

### Constructor Summary

Constructors
`CharAnnotationValue​(ConstPool constPool, String name, char value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`char` `getTag​()`
`char` `getValue​()`
`void` `writeData​(ByteArrayDataOutputStream stream)`

### Methods inherited from class org.jboss.classfilewriter.annotations.AnnotationValue

`getName, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CharAnnotationValue

    public CharAnnotationValue​(ConstPool constPool,
                               String name,
                               char value)

### Method Detail

#### getTag

    public char getTag​()

Specified by:
  `getTag` in class `AnnotationValue`

#### writeData

    public void writeData​(ByteArrayDataOutputStream stream)
                   throws IOException

Specified by:
  `writeData` in class `AnnotationValue`
Throws:
  `IOException`

#### getValue

    public char getValue​()